> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/checklist.md).

# Checklist

## Gets a list of checklist

> This endpoint is used to fetch all the checklist in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Checklist":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"name":{"type":"string","maxLength":255},"checklist_id":{"type":"string"},"module_name":{"type":"string","readOnly":true},"workflow_name":{"type":"string","readOnly":true},"catalogue_service_name":{"type":"string","readOnly":true},"workflow_type":{"type":"string","readOnly":true},"status_name":{"type":"string","readOnly":true}},"required":["catalogue_service_name","module_name","status_name","workflow_name","workflow_type"]}}},"paths":{"/ux/sd/checklist/checklist/":{"get":{"operationId":"ux_sd_checklist_checklist_list","description":"This endpoint is used to fetch all the checklist in the current organization","summary":"Gets a list of checklist","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Checklist"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Checklist"}}}},"description":""}}}}}}
```

## Creates a new checklist&#x20;

> This endpoint is used to save a new checklist for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/checklist/checklist/":{"post":{"operationId":"ux_sd_checklist_checklist_create","description":"This endpoint is used to save a new checklist for the current organization","summary":"Creates a new checklist ","tags":["Checklist"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a checklist with the given id

> This endpoint is used to fetch a business\_rule details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Checklist":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"name":{"type":"string","maxLength":255},"checklist_id":{"type":"string"},"module_name":{"type":"string","readOnly":true},"workflow_name":{"type":"string","readOnly":true},"catalogue_service_name":{"type":"string","readOnly":true},"workflow_type":{"type":"string","readOnly":true},"status_name":{"type":"string","readOnly":true}},"required":["catalogue_service_name","module_name","status_name","workflow_name","workflow_type"]}}},"paths":{"/ux/sd/checklist/checklist/{id}/":{"get":{"operationId":"ux_sd_checklist_checklist_retrieve","description":"This endpoint is used to fetch a business_rule details in the current organization","summary":"Gets a checklist with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Checklist"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Checklist"}}},"description":""}}}}}}
```

## Edits the checklist with given id

> This endpoint is used to edit an existing checklist for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Checklist":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"name":{"type":"string","maxLength":255},"checklist_id":{"type":"string"},"module_name":{"type":"string","readOnly":true},"workflow_name":{"type":"string","readOnly":true},"catalogue_service_name":{"type":"string","readOnly":true},"workflow_type":{"type":"string","readOnly":true},"status_name":{"type":"string","readOnly":true}},"required":["catalogue_service_name","module_name","status_name","workflow_name","workflow_type"]}}},"paths":{"/ux/sd/checklist/checklist/{id}/":{"put":{"operationId":"ux_sd_checklist_checklist_update","description":"This endpoint is used to edit an existing checklist for the current organization","summary":"Edits the checklist with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Checklist"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Checklist"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Checklist"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Checklist"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Checklist"}}},"description":""}}}}}}
```

## Deletes the checklist with given id

> This endpoint is used to delete an existing checklist for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/checklist/checklist/{id}/":{"delete":{"operationId":"ux_sd_checklist_checklist_destroy","description":"This endpoint is used to delete an existing checklist for the current organization","summary":"Deletes the checklist with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Checklist"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Get the options for the Checklist configuration

> This endpoint is used to get the default options for checklist config

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Checklist":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"name":{"type":"string","maxLength":255},"checklist_id":{"type":"string"},"module_name":{"type":"string","readOnly":true},"workflow_name":{"type":"string","readOnly":true},"catalogue_service_name":{"type":"string","readOnly":true},"workflow_type":{"type":"string","readOnly":true},"status_name":{"type":"string","readOnly":true}},"required":["catalogue_service_name","module_name","status_name","workflow_name","workflow_type"]}}},"paths":{"/ux/sd/checklist/checklist/options/":{"get":{"operationId":"ux_sd_checklist_checklist_options_retrieve","description":"This endpoint is used to get the default options for checklist config","summary":"Get the options for the Checklist configuration","tags":["Checklist"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Checklist"}}},"description":""}}}}}}
```

## Get the status options for selected impact service for the Checklist configuration

> This endpoint is used to get the status options for selected catalogue service

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Checklist":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"name":{"type":"string","maxLength":255},"checklist_id":{"type":"string"},"module_name":{"type":"string","readOnly":true},"workflow_name":{"type":"string","readOnly":true},"catalogue_service_name":{"type":"string","readOnly":true},"workflow_type":{"type":"string","readOnly":true},"status_name":{"type":"string","readOnly":true}},"required":["catalogue_service_name","module_name","status_name","workflow_name","workflow_type"]}}},"paths":{"/ux/sd/checklist/checklist/status_options_based_on_service/":{"get":{"operationId":"ux_sd_checklist_checklist_status_options_based_on_service_retrieve","description":"This endpoint is used to get the status options for selected catalogue service","summary":"Get the status options for selected impact service for the Checklist configuration","tags":["Checklist"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Checklist"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/checklist.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
